using System;
using System.Drawing;
using MonoTouch.Foundation;
using MonoTouch.UIKit;
using System.Collections.Generic;

namespace ColumnSeriesCustomization
{
	public class WebVisitorItem : NSObject
	{
		[Export("Country")]
		public string Country { get; set; }
		[Export("Browser")]
		public string Browser { get; set; }
		[Export("ChromeBrowser")]
		public int ChromeBrowser { get; set; }
		[Export("FirefoxBrowser")]
		public int FirefoxBrowser { get; set; }
		[Export("IEBrowser")]
		public int IEBrowser { get; set; }
		[Export("SafariBrowser")]
		public int SafariBrowser { get; set; }
		[Export("DurationMinutes")]
		public int DurationMinutes { get; set; }

		public WebVisitorItem ()
		{
			Random rnd = new Random (DateTime.Now.Millisecond);

			string[] countries = new string[] {
				"Bulgaria",
				"Canada",
				"Croatia",
				"France",
				"Japan",
				"India",
				"Uruguay",
				"USA",
				"UK"
			};

			Country = countries [rnd.Next (countries.Length)];

			string[] browsers = new string[] { "Chrome", "Firefox", "IE", "Safari" };
			Browser = browsers [rnd.Next (browsers.Length)];

			ChromeBrowser = rnd.Next (500);
			FirefoxBrowser = rnd.Next (500);
			IEBrowser = rnd.Next (500);
			SafariBrowser = rnd.Next (500);
			DurationMinutes = rnd.Next (30);
		}
	}
}

